Skip to main content
GET
/
apps
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const appListResponse of client.apps.list()) {
  console.log(appListResponse.id);
}
{
  "data": [
    {
      "id": "app_xxxxxxxxxxxxxx",
      "name": "Courses",
      "description": "A comprehensive analytics dashboard for tracking revenue, members, and growth metrics.",
      "status": "live",
      "base_url": "https://myapp.example.com",
      "domain_id": "ab1c2d3e4f5g6h7i8j9k",
      "verified": true,
      "app_type": "b2b_app",
      "experience_path": "/experiences/[experienceId]",
      "discover_path": "/experiences/[experienceId]",
      "dashboard_path": "/experiences/[experienceId]",
      "company": {
        "id": "biz_xxxxxxxxxxxxxx",
        "title": "Pickaxe"
      },
      "icon": {
        "url": "https://media.whop.com/abc123/optimized.jpg"
      },
      "creator": {
        "id": "user_xxxxxxxxxxxxx",
        "name": "John Doe",
        "username": "johndoe42"
      }
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "start_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

app_type
enum<string> | null

Filter apps by the type of end-user they are built for, such as consumer or business.

Available options:
b2b_app,
b2c_app,
company_app,
component
company_id
string | null

Filter apps to only those created by this company, starting with 'biz_'.

Example:

"biz_xxxxxxxxxxxxxx"

direction
enum<string> | null

The sort direction for results. Accepted values: asc, desc.

Available options:
asc,
desc
order
enum<string> | null

The field to sort apps by. Defaults to discoverable_at descending, showing the most recently published apps first.

Available options:
created_at,
discoverable_at,
total_installs_last_30_days,
total_installs_last_7_days,
time_spent,
time_spent_last_24_hours,
daily_active_users,
ai_prompt_count,
total_ai_cost_usd,
total_ai_tokens,
last_ai_prompt_at,
ai_average_rating
query
string | null

A search string to filter apps by name, such as 'chat' or 'analytics'.

verified_apps_only
boolean | null

Whether to only return apps that have been verified by Whop. Useful for populating a featured apps section.

view_type
enum<string> | null

Filter apps to only those supporting a specific view type, such as 'dashboard' or 'hub'.

Available options:
hub,
discover,
dash,
dashboard,
analytics
after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

Response

A successful response

The connection type for PublicApp.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.